## com.trilead.ssh2.sftp
Class AttrTextHints

    java.lang.Object
      com.trilead.ssh2.sftp.AttrTextHints

    public class AttrTextHints

extends java.lang.Object

Values for the 'text-hint' field in the SFTP ATTRS data type.

Field Summary
`static int` `SSH_FILEXFER_ATTR_GUESSED_BINARY` The server has applied a heuristic or other mechanism and believes has binary content, and should not be opened with the SSH_FXF_ACCESS_TEXT_MODE flag.
`static int` `SSH_FILEXFER_ATTR_GUESSED_TEXT` The server has applied a heuristic or other mechanism and believes that the file should be opened with the SSH_FXF_ACCESS_TEXT_MODE flag.
`static int` `SSH_FILEXFER_ATTR_KNOWN_BINARY` The server knows the file has binary content.
`static int` `SSH_FILEXFER_ATTR_KNOWN_TEXT` The server knows the file is a text file, and should be opened using the SSH_FXF_ACCESS_TEXT_MODE flag.

Constructor Summary
`AttrTextHints()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_FILEXFER_ATTR_KNOWN_TEXT

    public static final int SSH_FILEXFER_ATTR_KNOWN_TEXT

  The server knows the file is a text file, and should be opened using the SSH_FXF_ACCESS_TEXT_MODE flag.

  See Also:
    Constant Field Values

### SSH_FILEXFER_ATTR_GUESSED_TEXT

    public static final int SSH_FILEXFER_ATTR_GUESSED_TEXT

  The server has applied a heuristic or other mechanism and believes that the file should be opened with the SSH_FXF_ACCESS_TEXT_MODE flag.

  See Also:
    Constant Field Values

### SSH_FILEXFER_ATTR_KNOWN_BINARY

    public static final int SSH_FILEXFER_ATTR_KNOWN_BINARY

  The server knows the file has binary content.

  See Also:
    Constant Field Values

### SSH_FILEXFER_ATTR_GUESSED_BINARY

    public static final int SSH_FILEXFER_ATTR_GUESSED_BINARY

  The server has applied a heuristic or other mechanism and believes has binary content, and should not be opened with the SSH_FXF_ACCESS_TEXT_MODE flag.

  See Also:
    Constant Field Values

Constructor Detail

### AttrTextHints

    public AttrTextHints()